ランタイム: Mix::Scene::IDirectionalLight Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Protected Member Functions | List of all members
Mix::Scene::IDirectionalLight Class Referenceabstract

ディレクショナルライトインターフェース More...

`#include <IDirectionalLight.h>`

Inheritance diagram for Mix::Scene::IDirectionalLight:
[legend]
Collaboration diagram for Mix::Scene::IDirectionalLight:
[legend]

## Classes

struct | PROJECTION
| 投影構造体 More...

## Public Member Functions

全般
virtual const Mix::Vector3 & | GetDirection (void) const =0
| 方向を取得します More...
virtual void | SetDirection (const Mix::Vector3 &dir)=0
| 方向を設定します More...
virtual const Mix::Vector4 & | GetColor (void) const =0
| 色を取得します More...
virtual void | SetColor (const Mix::Vector4 &color)=0
| 色を設定します More...
virtual const Mix::Scene::IDirectionalLight::PROJECTION & | GetProjection (void) const =0
| 投影を取得します More...
virtual void | SetProjection (const Mix::Scene::IDirectionalLight::PROJECTION &proj)=0
| 投影を設定します More...
デバッグ
virtual Float32 | Debug_GetDrawLength (void) const =0
| 描画するラインの長さを取得します More...
virtual void | Debug_SetDrawLength (Float32 len)=0
| 描画するラインの長さを設定します More...
Public Member Functions inherited from Mix::Scene::ILight
virtual Boolean | IsEnabled (void) const =0
| 有効かどうかを確認します More...
virtual void | SetEnabled (Boolean state)=0
| 有効にするかどうかを設定します More...
Public Member Functions inherited from Mix::Scene::IRendererObject
virtual Mix::Scene::IRendererObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | IsRendering (void) const =0
| レンダリングされているかどうかを確認します。 More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IDirectionalLight (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::ILight
virtual | ~ILight (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IRendererObject
virtual | ~IRendererObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Scene::IRendererObject

enum

TYPE {
UNDEFINED = 0, UNIVERSAL_CAMERA = 1, VIEW_CAMERA = 2, HEMISPHERE_LIGHT = 3,
DIRECTIONAL_LIGHT = 4, SPOT_LIGHT = 5, POINT_LIGHT = 6, SKY_DOME = 7,
ATMOSPHERE_SCATTER = 8, LIGHT_SHAFTS_CASTER = 9, ACTOR_NODE = 10, ACTOR_MODEL = 11,
TERRAIN_MODEL = 12, LEAVING_PARTICLE = 13, SCATTER_PARTICLE = 14, PLANTER = 15,
WATER_POOL = 16, DYNAMICS_WORLD = 17, FLOOR = 18, GHOST = 19
}

| タイプ列挙定数 More...

## Detailed Description

ディレクショナルライトインターフェース

Note
  位置情報がなく方向のみの指向性ライトです。
  また、シャドウマッピング( 投影 ) をすることができるライトでもあります。

## Constructor & Destructor Documentation

virtual Mix::Scene::IDirectionalLight::~IDirectionalLight | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual const Mix::Vector3& Mix::Scene::IDirectionalLight::GetDirection | ( | void |  | ) | const

pure virtual

方向を取得します

Returns
  方向を表す Mix::Vector3 クラスを返します

virtual void Mix::Scene::IDirectionalLight::SetDirection | ( | const Mix::Vector3 & | dir | ) |

pure virtual

方向を設定します

Parameters

  dir | 方向を表す Mix::Vector3 クラス

virtual const Mix::Vector4& Mix::Scene::IDirectionalLight::GetColor | ( | void |  | ) | const

pure virtual

色を取得します

Returns
  色を表す Mix::Vector4 クラスを返します

virtual void Mix::Scene::IDirectionalLight::SetColor | ( | const Mix::Vector4 & | color | ) |

pure virtual

色を設定します

Parameters

  [in] | color | 色を表す Mix::Vector4 クラス

virtual const Mix::Scene::IDirectionalLight::PROJECTION& Mix::Scene::IDirectionalLight::GetProjection | ( | void |  | ) | const

pure virtual

投影を取得します

Returns
  設定を表す Mix::Scene::IDirectionalLight::PROJECTION 構造体を返します

virtual void Mix::Scene::IDirectionalLight::SetProjection | ( | const Mix::Scene::IDirectionalLight::PROJECTION & | proj | ) |

pure virtual

投影を設定します

Note
  シャドウマッピングの基本設定になります。

virtual Float32 Mix::Scene::IDirectionalLight::Debug_GetDrawLength | ( | void |  | ) | const

pure virtual

描画するラインの長さを取得します

Returns
  長さを返します

virtual void Mix::Scene::IDirectionalLight::Debug_SetDrawLength | ( | Float32 | len | ) |

pure virtual

描画するラインの長さを設定します

Parameters

  [in] | len | 長さ

The documentation for this class was generated from the following file:

- Mix/Scene/IDirectionalLight.h